# PSF-LoginServer - master - net.psforever.objects.loadouts.Loadout
PSF - LoginServer - master - net.psforever.objects.loadouts.Loadout
Keywords: PSF LoginServer master net.psforever.objects.loadouts.Loadout

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package loadouts
  Definition Classes
    objects
- EquipmentLoadout
- InfantryLoadout
- Loadout
- SquadLoadout
- SquadPositionLoadout
- VehicleLoadout

o

net.psforever.objects.loadouts

# Loadout 

###
Companion class Loadout

#### object Loadout

Source
  Loadout.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Loadout
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class ShorthandAmmoBox (definition: AmmoBoxDefinition, capacity: Int) extends Simplification with Product with Serializable

   The simplified form of an `AmmoBox`.

   The simplified form of an `AmmoBox`.

   definition

     the `AmmoBoxDefinition` that describes this future object

   capacity

     the amount of ammunition, if any, to initialize; if `None`, then the previous `AmmoBoxDefinition` will be referenced for the amount later

2.  final case class ShorthandAmmoSlot (ammoIndex: Int, ammo: ShorthandAmmoBox) extends Product with Serializable

   The simplified form of a `Tool` `FireMode`

   The simplified form of a `Tool` `FireMode`

   ammoIndex

     the index that points to the type of ammunition this slot currently uses

   ammo

     a `ShorthandAmmoBox` object to load into that slot

3.  final case class ShorthandConstructionItem (definition: ConstructionItemDefinition) extends Simplification with Product with Serializable

   The simplified form of a `ConstructionItem`.

   The simplified form of a `ConstructionItem`.

   definition

     the `ConstructionItemDefinition` that describes this future object

4.  final case class ShorthandKit (definition: KitDefinition) extends Simplification with Product with Serializable

   The simplified form of a `Kit`.

   The simplified form of a `Kit`.

   definition

     the `KitDefinition` that describes this future object

5.  final case class ShorthandSimpleItem (definition: SimpleItemDefinition) extends Simplification with Product with Serializable

   The simplified form of a `SimpleItem`.

   The simplified form of a `SimpleItem`.

   definition

     the `SimpleItemDefinition` that describes this future object

6.  final case class ShorthandTool (definition: ToolDefinition, ammo: List[ShorthandAmmoSlot]) extends Simplification with Product with Serializable

   The simplified form of a `Tool`.

   The simplified form of a `Tool`.

   definition

     the `ToolDefinition` that describes this future object

   ammo

     the blueprints to construct the correct number of ammunition slots in the `Tool`

7.  final case class ShorthandTriggerItem (definition: SimpleItemDefinition) extends Simplification with Product with Serializable

   The simplified form of a `BoomerTrigger`, a unique kind of `SimpleItem`.

   The simplified form of a `BoomerTrigger`, a unique kind of `SimpleItem`.

   definition

     the `SimpleItemDefinition` that describes this future object; actually ignored, but retained for function definition consistency

8.  sealed trait Simplification extends AnyRef

   A basic `Trait` connecting all of the `Equipment` blueprints.

9.  final case class SimplifiedEntry (item: Simplification, index: Int) extends Product with Serializable

   An entry in the `Loadout`, wrapping around a slot index and what is in the slot index.

   An entry in the `Loadout`, wrapping around a slot index and what is in the slot index.

   item

     the `Equipment`

   index

     the slot number where the `Equipment` is to be stowed

   See also

     `InventoryItem`

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Create(squad: Squad, label: String): Loadout

   na

5.  def Create(vehicle: Vehicle, label: String): Loadout

   Produce the blueprint of a vehicle.

   Produce the blueprint of a vehicle.

   vehicle

     the vehicle

   label

     the name of this loadout

   returns

     a `VehicleLoadout` object populated with appropriate information about the current state of the vehicle

6.  def Create(player: Player, label: String): Loadout

   Produce the blueprint on a player.

   Produce the blueprint on a player.

   player

     the player

   label

     the name of this loadout

   returns

     an `InfantryLoadout` object populated with appropriate information about the current state of the player

7.  def Create(owner: Any, label: String): Try[Loadout]
8.  def DetermineSubtype(vehicle: Vehicle): Int

   The sub-type of the vehicle.

   The sub-type of the vehicle. Vehicle's have no subtype.

   vehicle

     the vehicle

   returns

     the numeric subtype, always 0

9.  def DetermineSubtype(player: Player): Int

   The sub-type of the player's uniform.

   The sub-type of the player's uniform. Applicable to mechanized assault units, mainly. The subtype is reported as a number but indicates the specialization - anti-infantry, ani-vehicular, anti-air - of the suit as indicated by the arm weapon(s).

   player

     the player

   returns

     the numeric subtype

10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  def packageSimplifications(equipment: List[InventoryItem]): List[SimplifiedEntry]

    Overloaded entry point for constructing simplified blueprints from inventory region equipment.

    Overloaded entry point for constructing simplified blueprints from inventory region equipment.

    equipment

      the enumerated contents of the inventory

    returns

      a `List` of simplified `Equipment`

    Attributes
      protected
22.  def packageSimplifications(equipment: Array[EquipmentSlot]): List[SimplifiedEntry]

    Overloaded entry point for constructing simplified blueprints from holster slot equipment.

    Overloaded entry point for constructing simplified blueprints from holster slot equipment.

    equipment

      the holster slots

    returns

      a `List` of simplified `Equipment`

    Attributes
      protected
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped